package com.mason.server.dao.generics;

import java.util.List;

import com.mason.server.model.ProjectAccess;

public interface IProjectAccessDAO extends GenericDAO<ProjectAccess> {

	public List<ProjectAccess> getAllByProjectId(long projectId);
	public List<ProjectAccess> getAllByUserId(long userId);

	public ProjectAccess getAccessUserToProject(long projectId, long userId);
	
	boolean deleteAllByProjectId(long projectId);
	boolean deleteAllByUserId(long userId);

}
